> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetPhoneNumberReports POST https://api.voximplant.com/platform_api/GetPhoneNumberReports Receives information about the created phone numbers report or list of reports. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Accountant`, `Support`, `Payer`, `PhoneNumberManager`. **Example request:** Get all the reports. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/phone-numbers/get-phone-number-reports ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `report_id` (integer, optional) — The phone number report ID to filter - `report_type` (list of string, optional) — The phone number report type list separated by semicolons (;). The possible values are: phone_numbers, phone_numbers_awaiting_configuration - `created_from` (string, optional) — The UTC creation from date filter in 24-h format: YYYY-MM-DD HH:mm:ss - `created_to` (string, optional) — The UTC creation to date filter in 24-h format: YYYY-MM-DD HH:mm:ss - `is_completed` (boolean, optional) — Whether the report is completed - `desc_order` (boolean, optional, default: false) — Whether to get records in the descent order - `count` (integer, optional, default: 20) — The max returning record count - `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output ## Response ### 200 Successful response - `result` (list of CommonReportType, optional) - `total_count` (integer, optional) — The total found reports count - `count` (integer, optional) — The returned reports count ## Types ### CommonReportType The phone number report info. - `report_id` (integer, optional) — The phone number report ID - `type` (string, optional) — The report type. The following values are possible: phone_numbers, phone_numbers_awaiting_configuration, none - `created` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The creation time in the UTC timezone in 24-h format: YYYY-MM-DD HH:mm:ss - `format` (string, optional) — The report format type. The following values are possible: csv - `completed` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The UTC completion time in 24-h format: YYYY-MM-DD HH:mm:ss. The report is completed if the field exists - `file_name` (string, optional) — The report file name - `file_size` (double, optional) — The report file size - `download_size` (double, optional) — The gzipped report size to download - `download_count` (integer, optional) — The download attempt count - `last_downloaded` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The last download UTC time in 24-h format: YYYY-MM-DD HH:mm:ss. The report is completed if the field exists - `store_until` (string, optional) — Date string as returned by the Management API. Store the report until the date in the following format: YYYY-MM-DD. The report is completed if the field exists - `filters` (map from string to any, optional) — The report order filters (the saved [GetCallHistory], [GetTransactionHistory] parameters) - `calculated_data` (map from string to any, optional) — The calculated report data (the specific report data, see [CalculatedCallHistoryDataType], [CalculatedTransactionHistoryDataType]) - `report_type` (string, optional) - `error` (CommonReportTypeError, optional) ### CommonReportTypeError - `msg` (string, optional) - `code` (integer, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "result": [ { "report_id": 118, "created": "2025-02-28 10:03:56", "format": "CSV", "completed": "2025-02-28 10:03:57", "file_name": "/report_service/2_118_phone_numbers.csv", "file_size": 2048, "download_size": 1024, "download_count": 3, "last_downloaded": "2025-02-28 12:00:00", "store_until": "2025-03-07", "report_type": "phone_numbers", "error": { "msg": "", "code": 0 } } ], "total_count": 1, "count": 1 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetPhoneNumberReports" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetPhoneNumberReports'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetPhoneNumberReports" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetPhoneNumberReports") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetPhoneNumberReports") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetPhoneNumberReports', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetPhoneNumberReports"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetPhoneNumberReports")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```